Bug 168004 - more patch for x11-toolkits/gtk20, to remove "-I${libdir}/gtk-2.0/include" in gdk-2.0.pc
more patch for x11-toolkits/gtk20, to remove "-I${libdir}/gtk-2.0/include" in...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: gnome
Depends on:
  Show dependency treegraph
Reported: 2012-05-17 10:30 UTC by ksmakoto
Modified: 2012-05-20 17:40 UTC (History)
0 users

See Also:

file.diff (375 bytes, patch)
2012-05-17 10:30 UTC, ksmakoto
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ksmakoto 2012-05-17 10:30:01 UTC
By "patch-ak", FreeBSD ports of gtk+2 moves directory for .h files to
$(prefix)/include/gtk-2.0 , but gdk-2.0.pc (and gdk-x11-2.0.pc) specifies
-I${libdir}/gtk-2.0/include to CFLAGS .

Non existent directory of -I option of gcc, sometimes cause gcc crash
( see http://docs.freebsd.org/cgi/getmsg.cgi?fetch=120904+0+archive/2008/freebsd-current/20081026.freebsd-current ).

For example, ruby-gnome2 1.1.0 (newer version than ports') build failed.

Attached patch modify gdk-2.0.pc.in to fix this problem.

Fix: Add attached patch to ports/x11-toolkits/gtk20/files .

Patch attached with submission follows:
How-To-Repeat: na
Comment 1 Mark Linimon freebsd_committer 2012-05-18 01:00:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Fix synopsis and assign.
Comment 2 mezz freebsd_committer 2012-05-20 17:34:16 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 3 dfilter freebsd_committer 2012-05-20 17:34:24 UTC
mezz        2012-05-20 16:34:08 UTC

  FreeBSD ports repository

  Modified files:
    x11-toolkits/gtk20   Makefile 
  Added files:
    x11-toolkits/gtk20/files patch-gdk-2.0.pc.in 
  Remove the ${libdir}/gtk-2.0/include from its gdk-2.0.pc because the directory
  does not exist, since we have moved it to ${includedir}/gtk-2.0. Bump the
  PORTREVISION because it sometimes caused GCC crash. It's fixed in newer GCC,
  but the fix is part of GPL3 that can't be merged into base system's GCC.
  PR:             ports/168004
  Submitted by:   Makoto Kishimoto <ksmakoto@dd.iij4u.or.jp>
  Revision  Changes    Path
  1.255     +1 -1      ports/x11-toolkits/gtk20/Makefile
  1.1       +8 -0      ports/x11-toolkits/gtk20/files/patch-gdk-2.0.pc.in (new)
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"